> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.voicecheap.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 ID 令牌验证密钥

> 读取用于验证 VoiceCheap ID 令牌签名的公开 JSON Web Key Set。

读取用于验证 VoiceCheap ID 令牌签名的公开 JSON Web Key Set。

```http theme={null}
GET https://api.voicecheap.ai/oauth/jwks
```

## 身份验证

无。

## 请求示例

请遵循此路由文档规定的编码和身份验证方式。操作 API 的封装格式和幂等性规则仅适用于操作调用。

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET 'https://api.voicecheap.ai/oauth/jwks'
  ```

  ```javascript JavaScript theme={null}
  const input = {};
  const response = await fetch('https://api.voicecheap.ai/oauth/jwks', {
    method: 'GET',
    headers: {},
    redirect: 'manual',
  });
  console.log(response.status, await response.text());
  ```

  ```python Python theme={null}
  import os
  import requests

  response = requests.request(
      "GET",
      "https://api.voicecheap.ai/oauth/jwks",
      headers={},
      timeout=120,
      allow_redirects=False,
  )
  print(response.status_code, response.text)
  ```
</RequestExample>

## 响应

读取用于验证 VoiceCheap ID 令牌签名的公开 JSON Web Key Set。

```json HTTP 200 theme={null}
{
  "keys": [
    {
      "kty": "RSA",
      "n": "l_9byS_IKjLQsZT2-tuGBrJH7a5DZWqUoyTRMRyzl-SetTGldXQ5kVSNz1ySXUyZq6PWkFMi1yZ8IPaFffSSJyNhop1XbJMRQHz_yJ9qi23BrL3x9IOAG68IJmJ1bBj3jF6mdXVvqP2jyy_iS3PElkZTVvFd8knge-jFmIdlXiieymtdwNQv1E1LAqi-FjL9f06MKVtvVEZNySC59TVsEBcUmzkCbEmDGyi59LOI5TektgU6N3vMj4cuTwfz0mjXIRRAFZUNwAg5w39FmttSIuXijC-S29PCG6MX4Q_RwAGmXP_MPuS7cTT35RT-eqZ4VT7frug-wSjjktGRxoXEtQ",
      "e": "AQAB",
      "use": "sig",
      "alg": "RS256",
      "kid": "uAejZ-V0CeTRBMLE7sKpQ8vQAVHZGbJEiCUra4mvKBE"
    }
  ]
}
```

## 响应头

```json theme={null}
{
  "Cache-Control": "no-store"
}
```

## 操作说明

* 当前环境不提供身份集成时，OpenID Connect 端点会返回 HTTP 404。依赖身份功能之前，请先检查发现元数据。
* 选择 kid 与 ID 令牌头部匹配的公钥并验证 RS256。响应仅包含公开验证密钥；切勿将 ID 令牌用作 MCP 访问令牌。

## 错误

| HTTP 状态 | 代码 | 含义或恢复方式 |
| - | - | - |
| 404 | `Not Found` | 当前环境不提供身份集成时，OpenID Connect 端点会返回 HTTP 404。依赖身份功能之前，请先检查发现元数据。 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.